# SplitMSA

Simple FASTA file splitter. Capable of batch trimming a large amount of sequences in the form of a MSA in a FASTA file.

## Features

 - Split large fasta files that contain a multiple sequence alignment (MSA) into individual genes 
 - Trim off stop codon
 - Batch process multiple genes from one MSA
 - Correct gene start and stop locations based on start and stop codon location
 - Catalogues errors that occurred in human-readable CSV file
 
## Planned
 
 - Translate MSA into amino acids while maintaining alignment (shows type of mutation if frameshift)
 - Simple to use GUI
 - Run without system-wide python install

## Use

### Command Line

1. Install python 3
2. Install `biopython`
    - Using `pip`: `pip install biopython` or `pip3 install biopython`
    - Using `conda`: ` conda install -c conda-forge biopython`
3. Download `msa_splitter.py` and run with `python3 msa_splitter.py`
    - `python3 msa_splitter.py -h` for help 